io.vertx.core.http

## Enum ClientAuth

- java.lang.Object
- - java.lang.Enum<ClientAuth>
  - - io.vertx.core.http.ClientAuth

- All Implemented Interfaces:
    Serializable, Comparable<ClientAuth>

      public enum ClientAuth
      extends Enum<ClientAuth>

  Configures the engine to require/request client authentication.

  Created by manishk on 10/2/2015.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` No client authentication is requested or required.
    `REQUEST` Accept authentication if presented by client.
    `REQUIRED` Require client to present authentication, if not presented then negotiations will be declined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientAuth` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientAuth[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ClientAuth NONE

      No client authentication is requested or required.

    - #### REQUEST

          public static final ClientAuth REQUEST

      Accept authentication if presented by client. If this option is set and the client chooses not to provide authentication information about itself, the negotiations will continue.

    - #### REQUIRED

          public static final ClientAuth REQUIRED

      Require client to present authentication, if not presented then negotiations will be declined.

  - ### Method Detail

    - #### values

          public static ClientAuth[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientAuth c : ClientAuth.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientAuth valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016. All rights reserved.